<?php

/*-----------------------------------------------------------------------------------*/
/* register main css and js */
/*-----------------------------------------------------------------------------------*/

function babaturan_register_style_js(){
	//enqueue style
	wp_enqueue_style( 'bootstrap-style', get_template_directory_uri() . '/css/bootstrap.min.css','' ,'3.2.2');
	wp_enqueue_style( 'font-awesome-style', get_template_directory_uri() . '/fonts/font-awesome/css/font-awesome.min.css','' ,'4.1.0');
	wp_enqueue_style( 'open-sans-google-font', 'http://fonts.googleapis.com/css?family=Open+Sans','' ,false);
	
	
	wp_enqueue_style( 'style', get_stylesheet_uri());
	
	//enqueue script
	wp_enqueue_script('jQuery',false);
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/js/bootstrap.min.js',array('jquery'),"3.2.2",false);
	wp_enqueue_script( 'viewport-mini-js', get_template_directory_uri() . '/js/jquery.viewport.mini.js',array('jquery'),true,false);
	wp_enqueue_script( 'babaturan-menu-js', get_template_directory_uri() . '/js/babaturanMenu.js',array('jquery'),false,true);
	wp_enqueue_script( 'images-js', get_template_directory_uri() . '/js/images.js',array('jquery'),false,false);
	wp_enqueue_script( 'babaturan_sidebar_js', get_template_directory_uri() . '/js/mainSidebar.js',array('jquery'),false,false);
}

add_action( 'wp_enqueue_scripts', 'babaturan_register_style_js' );

/*-----------------------------------------------------------------------------------*/
/* menu functions */
/*-----------------------------------------------------------------------------------*/	

if ( ! function_exists( 'babaturan_main_menu' ) ) {
	function babaturan_main_menu(){
		wp_nav_menu( array(
			'theme_location'  => 'babaturan-main-menu',
			'menu_class'      => 'nav navbar-nav navbar-right', 
			'menu_id'         => 'main-menu',
			'echo'            => true,
			'fallback_cb'     => 'wp_page_menu',
			'before'          => '',
			'after'           => '',
			'link_before'     => '',
			'link_after'      => '',
			'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
			'depth'           => 0,
			'walker'		  => new wp_bootstrap_navwalker()
			) 
		);
	}
}

if ( ! function_exists( 'nativemenu' ) ) {
	function nativemenu() { 
		register_nav_menus(
		array(
		'babaturan-main-menu' => __( 'Babaturan Main Menu','babaturan-text' )
		));
	}
}

add_action( 'init', 'nativemenu' );

require_once('assets/wp_bootstrap_navwalker.php');

/* Launch the Hybrid Core framework. */
require_once( trailingslashit( get_template_directory() ) . 'assets/hybrid/extensions/get-the-image.php' );
require_once( trailingslashit( get_template_directory() ) . 'assets/hybrid/classes/hybrid-media-grabber.php' );

$jetpack_active_modules = get_option('jetpack_active_modules');
if ( class_exists( 'Jetpack', false ) && $jetpack_active_modules && in_array( 'tiled-gallery', $jetpack_active_modules ) ) {
     if ( ! isset( $content_width ) )
    $content_width = 1280;
}

/*-----------------------------------------------------------------------------------*/
/* misc */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'babaturan_post_thumbnail')){
	function babaturan_post_thumbnail(){
		if ( post_password_required() || is_attachment() ) {
			return;
		}

		if ( ! is_singular() ) :
		?>

		<div class="post-thumbnail">
		<?php get_the_image(array( 'size' => 'original', 'image_class' => 'aligncenter img-responsive' )); ?>
		</div>

		<?php else : ?>

		<?php return; ?>

		<?php endif; // End is_singular()
	}
}


if ( ! function_exists( 'babaturan_post_meta')){
	function babaturan_post_meta(){

		$get_date = get_option( 'date_format');

		$str = '';
		$str .= '<span class="post-author-link">'. the_author_posts_link() .'</span>';
		$str .= babaturan_meta_separator();
		$str .= '<span class="post-date">'. the_time($get_date) .'</span>';
		$str .= babaturan_meta_separator();
		$str .= '<span class="post-category-list">'. the_category(', ') .'</span>';

		if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) :
			$str .= babaturan_meta_separator();
			$str .= '<span class="comments-link">'.comments_popup_link( __( 'Leave a comment', 'babaturan-text' ), __( '1 Comment', 'babaturan-text' ), __( '% Comments', 'babaturan-text' ) ).'</span>';
		endif;

		if ( current_user_can('edit_post','') ) :
			$str .= babaturan_meta_separator();
			$str .= edit_post_link( __( 'Edit', 'babaturan-text' ), '<span class="edit-link">', '</span>' );
		endif;
		
		echo $str;

	}
}

if (! function_exists('babaturan_meta_separator')){
	function babaturan_meta_separator(){
		$str = '<span class="babaturan-meta-separator">/</span>';

		echo $str;
	}
}
/*-----------------------------------------------------------------------------------*/
/* theme support */
/*-----------------------------------------------------------------------------------*/


 add_theme_support( 'post-thumbnails' );
 add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'audio', 'quote', 'link', 'gallery',
	) );

add_theme_support( 'automatic-feed-links' );

$custom_header = array(
	'default-image'          => 'http://lorempixel.com/1500/200/',
	'random-default'         => false,
	'width'                  => 1500,
	'height'                 => 200,
	'flex-height'            => true,
	'flex-width'             => true,
	'default-text-color'     => '',
	'header-text'            => true,
	'uploads'                => true,
	'wp-head-callback'       => '',
	'admin-head-callback'    => '',
	'admin-preview-callback' => '',
);
add_theme_support( 'custom-header', $custom_header );

function babaturan_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'after_setup_theme', 'babaturan_add_editor_styles' );


/*-----------------------------------------------------------------------------------*/
/* page navigation */
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'babaturan_pagenavi' ) ) {
	function babaturan_pagenavi( $p = 5 ) { // pages will be show before and after current page
		global $smof_data;
		if ( is_singular() ) return; // don't show in single page
		global $wp_query, $paged;
		$max_page = $wp_query->max_num_pages;
		if ( $max_page == 1 ) return; // don't show when only one page
		if ( empty( $paged ) ) $paged = 1;

		echo '<div class="pagination-container">';
		echo '<ul class="pagination">'; //wrap
		if ( $paged > $p + 1 ) p_link( 1, 'First' );
		if ( $paged > $p + 2 ) echo '<li><a class="disabled">...</a></li>';
		for( $i = $paged - $p; $i <= $paged + $p; $i++ ) { // Middle pages
		if ( $i > 0 && $i <= $max_page ) $i == $paged ? print "<li class='active'><a>{$i}</a></li> " : p_link( $i );
		}
		if ( $paged < $max_page - $p - 1 ) echo '<li><a class="disabled">...</a></li>';
		if ( $paged < $max_page - $p ) p_link( $max_page, 'Last' );
		echo '</ul><br>'; //wrap
		echo '<span>'.__('Page','babaturan-text').' : ' . $paged . ' of ' . $max_page . ' </span>'; // pages
		echo '</div>'; //end pagination container
	}
}

if ( ! function_exists( 'p_link' ) ) {
	function p_link( $i, $title = '' ) {
		global $smof_data;
		if ( $title == '' ) $title = __('Page','babaturan-text').' '.$i;
		echo "<li><a rel='nofollow' href='", esc_html( get_pagenum_link( $i ) ), "' title='{$title}'>{$i}</a></li>";
	}
}

/*-----------------------------------------------------------------------------------*/
/* comments */
/*-----------------------------------------------------------------------------------*/
if( ! function_exists( 'babaturan_comment_callback' )){
	function babaturan_comment_callback($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'li';
			$add_below = 'div-comment';
		}
	?>
		<<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">

		<?php if ( 'div' != $args['style'] ) : ?>
		<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
		<?php endif; ?>
		<div class="comment-author vcard">
		<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		<?php printf( __( '<cite class="fn"><h6>%s</h6></cite>'), get_comment_author_link() ); ?>
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.','babaturan-text' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __('%1$s at %2$s','babaturan-text'), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)','babaturan-text' ), '  ', '' );
			?>
		</div> <!--end comment meta-->
		</div> <!-- end comment-author vcard-->
		<div class="comment-entry">
		<?php comment_text(); ?>
		</div>

		<div class="reply">
		<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div>
		<?php if ( 'div' != $args['style'] ) : ?>
		</div> 
		<?php endif; ?>
		<hr>
	<?php
	}
}

/*add icon to aside post format */

add_action( 'wp_loaded', 'babaturan_post_filters', 1 );

if( ! function_exists('babaturan_post_filters')){
	function babaturan_post_filters() {

		/* Add infinity symbol to aside posts. */
		if ( current_theme_supports( 'post-formats', 'aside' ) )
			add_filter( 'the_content', 'babaturan_link_icon', 9 ); // run before wpautop

		if ( current_theme_supports( 'post-formats', 'status' ) )
			add_filter( 'the_content', 'babaturan_link_icon', 9 ); // run before wpautop
	}
}

if( ! function_exists('babaturan_link_icon')){
	function babaturan_link_icon( $content ) {

		if ( has_post_format( 'aside' ) || has_post_format( 'status' ) && !is_singular() ) {
			$icon = '<a class="permalink" href="' . get_permalink() . '" title="' . the_title_attribute( array( 'echo' => false ) ) . '">&nbsp;<i class="fa fa-link"></i></a>';
			$content .= ' ' . apply_filters( 'babaturan_link_icon', $icon );
		}

		return $content;
	}
}

/*-----------------------------------------------------------------------------------*/
/* sidebars & widget */
/*-----------------------------------------------------------------------------------*/

function babaturan_widgets_init() {

	register_sidebar( array(
		'name'          => __( 'Primary Sidebar', 'babaturan-text' ),
		'id'            => 'main-sidebar',
		'description'   => __( 'Main sidebar that appears on the left or right', 'babaturan-text' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	/*register_sidebar( array(
		'name'          => __( 'Footer Widget Area 1', 'babaturan-text' ),
		'id'            => 'footer-bar-1',
		'description'   => __( '1st footer sidebar from the left', 'babaturan-text' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 2', 'babaturan-text' ),
		'id'            => 'footer-bar-2',
		'description'   => __( '2nd footer sidebar from the left', 'babaturan-text' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 3', 'babaturan-text' ),
		'id'            => 'footer-bar-3',
		'description'   => __( '3rd footer sidebar from the left', 'babaturan-text' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 4', 'babaturan-text' ),
		'id'            => 'footer-bar-4',
		'description'   => __( '4th footer sidebar from the left', 'babaturan-text' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );*/
}
add_action( 'widgets_init', 'babaturan_widgets_init' );

















?>